package com.yeejoin.amos.boot.module.statistics.api.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 *  Mapper 接口
 *
 * @author system_generator
 * @date 2023-12-13
 */
@Mapper
public interface CommonBaseMapper {

    String getOrgCodeByCompanyCode(String companyCode);

    String getCompanyCodeByOrgCode(String orgCode);


    /**
     * 按照 地市或者区县查询对应行政区划seq
     *
     * @param receiveCompanyCode 地市或者区县companyCode
     * @return 地市对应行政区划seq
     */
    String selectCompanyRegionSeq(@Param("receiveCompanyCode") String receiveCompanyCode);

    List<String> selectCompanyCodeByRegionCode(Long regionSeq);
}
